Tripper.181098127.jpg=He fits in his toy box!
Tripper 4_26_2018a.jpg=Stretch!
Tripper 6_14_2018.png=Smell the Roses ...
Tripper NAJ 6_24_2018.jpg=Tripper wins his first Agility title!
Agility Aug 4 2018.jpg=Tunnel!
Tripper.197011958.jpg=Snood
NOHS Group 3_9 30 2018.jpg=Oyster Bay, September 30, 2018
Tripper_P1090407.JPG=Sweet puppy face
CH Tripper 7_09_2016.jpg=New Champion!
